server:
   port: 0

spring:
   application:
      name: user-service
   rabbitmq:
      host: 127.0.0.1
      port: 5672
      username: guest
      password: guest
   h2:
      console:
         enabled: true
         settings:
            web-allow-others: true
         path: /h2-console
   datasource:
      driver-class-name: org.h2.Driver
      url: jdbc:h2:mem:testdb

greeting:
   message: Welcome to the Simple E-Commerce.

eureka:
   instance:
      instance-id: ${spring.application.name}:${spring.application.instance_id:${random.value}}
   client:
      register-with-eureka: true
      fetch-registry: true
      service-url:
         defaultZone: http://localhost:8761/eureka

logging:
   level:
      com.example.userservice: DEBUG
management:
   endpoints:
      web:
         exposure:
            include: refresh,health,beans,busrefresh #현재 서버가져올 Config 정보를 Refresh 하겠다는 의미

#token:
#   expiration_time: 86400000
#   secret: ggpark_token